LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Red Hat
User Name
Password
Red Hat This forum is for the discussion of Red Hat Linux.

Notices

Reply
 
Search this Thread
Old 05-26-2011, 11:50 AM   #1
sinjet
LQ Newbie
 
Registered: May 2011
Location: Nashville, TN
Distribution: Ubuntu, Fedora, RHEL, FreeBSD, IBM AIX
Posts: 4

Rep: Reputation: Disabled
RHEL 6.1 - Yum


Brand new build of RHEL 6.1. Registered with RHN and then ran yum update. Everything completed fine, but now when I try to use yum in any fashion I get:

Options Error: need more than 1 value to unpack

Anyone else ran into this error? I have a support ticket open with RH but haven't heard back as of yet.

TIA..

Sinjet
 
Old 05-26-2011, 01:16 PM   #2
networking.dept
Member
 
Registered: Dec 2010
Location: Ahmedabad
Distribution: Red Hat Enterprise Linux and Fedora
Posts: 44

Rep: Reputation: 8
Execute Commands

Hello,

Execute following command as root and let me know it worked for you or not :-

#yum clean all
#yum clean metadata
#yum clean dbcache
#yum makecache

Hope this helps you.
 
Old 05-26-2011, 01:22 PM   #3
sinjet
LQ Newbie
 
Registered: May 2011
Location: Nashville, TN
Distribution: Ubuntu, Fedora, RHEL, FreeBSD, IBM AIX
Posts: 4

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by networking.dept View Post
Hello,

Execute following command as root and let me know it worked for you or not :-

#yum clean all
#yum clean metadata
#yum clean dbcache
#yum makecache

Hope this helps you.
Yeah..I had gone over that as well. That seems to relate to the error:

ValueError: need more than 1 value to unpack

When I run #yum clean all

it simply replies with the same error as stated in the original post.

Thank you for the reply. Still awaiting RH support response.
 
Old 05-27-2011, 09:10 AM   #4
mikey99
Member
 
Registered: Nov 2008
Location: UK
Distribution: RHEL, Fedora
Posts: 68

Rep: Reputation: 12
Quote:
Originally Posted by sinjet View Post
Brand new build of RHEL 6.1. Registered with RHN and then ran yum update. Everything completed fine, but now when I try to use yum in any fashion I get:

Options Error: need more than 1 value to unpack
Can you paste the command and the whole error output, not just the last line.

Mike.
 
Old 05-27-2011, 10:29 AM   #5
ryan,lake
LQ Newbie
 
Registered: May 2011
Posts: 1

Rep: Reputation: Disabled
I was having the same problem after running yum update on a fresh RHEL6.1 install. Here is the full print out,

Code:
# yum -v
Loading "rhnplugin" plugin
Loading "product-id" plugin
Loading "subscription-manager" plugin
Updating Red Hat repositories.
Config time: 0.125
Options Error: need more than 1 value to unpack
The error was the same for all yum commands. I resolved it by deleting everything under /var/cache/yum and then running yum makecache.
Code:
# rm -rf /var/cache/yum/*
# yum makecache
Loaded plugins: product-id, rhnplugin, subscription-manager
Updating Red Hat repositories.
rhel-x86_64-server-6                                            4970/4970
rhel-x86_64-server-6                                            4970/4970
rhel-x86_64-server-6                                            4970/4970
Metadata Cache Created
# yum update
Loaded plugins: product-id, rhnplugin, subscription-manager
Updating Red Hat repositories.
Setting up Update Process
No Packages marked for Update
Hope this helps.
 
Old 05-27-2011, 10:34 AM   #6
sinjet
LQ Newbie
 
Registered: May 2011
Location: Nashville, TN
Distribution: Ubuntu, Fedora, RHEL, FreeBSD, IBM AIX
Posts: 4

Original Poster
Rep: Reputation: Disabled
This resolved it as well..

From RedHat support....

#rm /var/cache/yum/*/*/rhnplugin.repos

Once done, could then use yum again.

The file format of some of the cache files changed during dev of RHEL 6.1 according to RH support and if you updated packages from the early 6.1 development trees, your cache files may be in the wrong format.

Thanks!!

Last edited by sinjet; 08-16-2011 at 04:17 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
CRITICAL:yum.cli Config Error yum.conf in RHEL 6.0 chunrima Linux - Software 2 12-09-2010 06:19 PM
how to update rhel 5 using centos yum updater without conflict with yum redhat plugin udayvikram Linux - Software 2 03-30-2010 08:15 AM
how to update rhel 5 using centos yum updater without conflict with yum redhat plugin udayvikram Linux - Newbie 1 03-29-2010 12:56 PM
yum and RHEL 5.1 bic Red Hat 3 06-12-2008 08:39 AM
YUM on RHEL 4.0?? ajeetraina Linux - Newbie 1 06-02-2008 09:34 AM


All times are GMT -5. The time now is 06:43 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration